# Uses of Class
org.jfree.chart3d.axis.Axis3DChangeEvent

Packages that use Axis3DChangeEvent
Package
Description
org.jfree.chart3d.axis
Axes (`CategoryAxis3D`, `NumberAxis3D` and `LogAxis3D`) plus supporting classes and interfaces.
org.jfree.chart3d.plot
Standard plot types (`PiePlot3D`, `CategoryPlot3D` and `XYZPlot`) that can be used with the `Chart3D` class.

## Uses of Axis3DChangeEvent in org.jfree.chart3d.axis

Methods in org.jfree.chart3d.axis with parameters of type Axis3DChangeEvent
Modifier and Type
Method
Description
`void`
Axis3DChangeListener.`axisChanged(Axis3DChangeEvent event)`
Called to inform that an axis change event has occurred.
`void`
AbstractAxis3D.`notifyListeners(Axis3DChangeEvent event)`
Notifies all registered listeners that the axis has been modified.

## Uses of Axis3DChangeEvent in org.jfree.chart3d.plot

Methods in org.jfree.chart3d.plot with parameters of type Axis3DChangeEvent
Modifier and Type
Method
Description
`void`
CategoryPlot3D.`axisChanged(Axis3DChangeEvent event)`
Receives notification that one of the axes has been changed.
`void`
XYZPlot.`axisChanged(Axis3DChangeEvent event)`
Receives notification that one of the plot's axes has changed, and responds by passing on a `Plot3DChangeEvent` to the plot's registered listeners (with the default set-up, this notifies the chart).